import request from "@/utils/request";

export function list(url, params) {
  return request({
    url: `/pu/contract/${url}/list`,
    method: "get",
    params: params,
  });
}

export function refer(data, params) {
  return request({
    url: "/refer/query",
    method: "POST",
    data: data,
    params: params,
  });
}
