export const TableColumns = [
  { key: "id", title: "id" },
  { key: "status", title: "单据状态" },
  { key: "priceName", title: "价格名称" },
  { key: "supplier", title: "供应商" },
  {
    key: "supplierName",
    title: "供应商名称",
    search: true,
    config: {
      componentName: "SUPPLIER_PARAM",
      dataMapping: {
        supplier: "code",
        supplierName: "name",
      },
    },
  },
  { key: "puOrg", title: "采购组织" },
  {
    key: "puOrgName",
    title: "采购组织名称",
    search: true,
    config: {
      componentName: "ORG_PARAM",
      dataMapping: {
        puOrg: "code",
        puOrgName: "name",
      },
    },
  },
  { key: "currency", title: "币种" },
  { key: "currencyName", title: "币种名称" },
  { key: "explain", title: "价格合理性说明" },
  { key: "buyer", title: "采购员" },
  { key: "buyerName", title: "采购员名称" },
  { key: "puDept", title: "采购部门" },
  { key: "puDeptName", title: "采购部门名称" },
  { key: "sourceType", title: "来源单据类型" },
  { key: "source", title: "来源单据号" },
  { key: "isEffective", title: "是否已推价格" },
  { key: "effectiveDate", title: "生效日期" },
  { key: "file", title: "附件" },
  { key: "tenantId", title: "租户号" },
  { key: "revision", title: "乐观锁" },
  { key: "createByName", title: "创建人名称" },
  { key: "updateByName", title: "更新人" },
  { key: "delFlag", title: "删除标记" },
];

export const SearchColumns = TableColumns.filter((element) => element.search);
