export const TableColumns = [
  { key: "id", title: "id" },
  { key: "puOrg", title: "采购组织" },
  { key: "puOrgName", title: "采购组织名称" },
  { key: "code", title: "合同编码" },
  { key: "lastPuMoney", title: "上年度采购额" },
  { key: "buyer", title: "采购员" },
  { key: "buyerName", title: "采购员名称" },
  { key: "supplier", title: "供应商" },
  { key: "supplierName", title: "供应商名称" },
  { key: "contractType", title: "合同类型" },
  { key: "puMoneyYear", title: "本年度采购额" },
  { key: "puDept", title: "采购部门" },
  { key: "puDeptName", title: "采购部门名称" },
  { key: "supplierTier", title: "供应商层级" },
  { key: "contractName", title: "合同名称", search: true, type: "Input" },
  { key: "grossRateAverage", title: "平均毛利率" },
  { key: "approveFlow", title: "审批流程" },
  { key: "consumableClass", title: "耗材类别" },
  { key: "effectiveDate", title: "合同生效日期" },
  { key: "brandGrossRate", title: "同类品牌及毛利率" },
  { key: "contractFormat", title: "合同格式" },
  { key: "productName", title: "产品类别&名称" },
  { key: "endDate", title: "合同终止日期" },
  { key: "invoiceTax", title: "发票税率" },
  { key: "emergencyDegree", title: "紧急程度" },
  { key: "project", title: "项目医院" },
  { key: "signDate", title: "合同签订日期" },
  { key: "deliveryType", title: "交货方式" },
  { key: "source", title: "合同来源" },
  { key: "contractPartyc", title: "合同丙方" },
  { key: "contractPartycName", title: "合同丙方名称" },
  { key: "guaranteePeriodEnd", title: "质保期限" },
  { key: "freightMethods", title: "运费承担方式" },
  { key: "isTarget", title: "是否有指标" },
  { key: "contractTarget", title: "合同指标" },
  { key: "exemptionPostageCondtion", title: "包邮条件" },
  { key: "isRebate", title: "是否有返利" },
  { key: "rebatePolicy", title: "返利政策" },
  { key: "externalContract", title: "外部合同号" },
  { key: "rollbackPolicy", title: "退换货政策" },
  { key: "contractContent", title: "合同主要内容" },
  { key: "refusalReasons", title: "拒绝理由" },
  { key: "enquiryCode", title: "询价单号" },
  { key: "externalFile", title: "对外附件" },
  { key: "supplierFile", title: "供应商盖章合同附件" },
  { key: "puFile", title: "采购商盖章合同附件" },
  { key: "projectCode", title: "项目编号" },
  { key: "projectName", title: "项目名称" },
  { key: "area", title: "区域区域" },
  { key: "consigneePhone", title: "收货人联系方式" },
  { key: "paymentAgreement", title: "付款协议" },
  { key: "taxPrice", title: "价税合计" },
  { key: "currency", title: "币种" },
  { key: "currencyName", title: "币种名称" },
  { key: "guaranteePeriod", title: "质保期" },
  { key: "tenantId", title: "租户号" },
  { key: "revision", title: "乐观锁" },
  { key: "createByName", title: "创建人" },
  { key: "updateByName", title: "创建人名称" },
  { key: "delFlag", title: "删除标记" },
];

export const SearchColumns = TableColumns.filter((element) => element.search);
