export const TableColumns = [
  { key: "supplier", title: "供应商" },
  { key: "supplierName", title: "供应商名称" },
  { key: "puOrg", title: "采购组织" },
  { key: "puOrgName", title: "采购组织名称" },
  { key: "customer", title: "客户" },
  { key: "customerName", title: "客户名称" },
  { key: "priceType", title: "价格类型" },
  { key: "isDistribution", title: "配送价" },
  { key: "effectiveDate", title: "价格生效日期" },
  { key: "endDate", title: "价格失效日期" },
  { key: "tax", title: "税率" },
  { key: "taxFreePrice", title: "无税单价" },
  { key: "taxPrice", title: "主含税单价" },
  {
    key: "purchaseQuantity",
    title: "本次采购数量",
    type: "InputNumber",
    width: 200,
  },
  {
    key: "arrivalDatePlan",
    title: "计划到货日期",
    type: "DatePicker",
    width: 200,
  },
  { key: "note", title: "备注", type: "Textarea", width: 200 },

  // { key: "id", title: "主键" },
  // { key: "material", title: "物料id" },
  // { key: "manufacturer", title: "生产厂家" },
  // { key: "materialClassify", title: "物料一级分类" },
  // { key: "materialName", title: "物料名称" },
  // { key: "model", title: "物料型号" },
  // { key: "specification", title: "物料规格" },
  // { key: "unit", title: "主单位" },
  // { key: "unitName", title: "主单位名称" },
  // { key: "buyer", title: "采购员" },
  // { key: "buyerName", title: "采购员名称" },
  // { key: "source", title: "来源单据编号" },
  // { key: "status", title: "有效状态" },
  // { key: "enableStatus", title: "启用状态" },
  // { key: "convertRate", title: "换算率" },
  // { key: "materialStatus", title: "物料启用状态" },
  // { key: "demandCode", title: "采购需求单号" },
  // { key: "expiryEarly", title: "效期预警" },

  ,
];
